Package com.orchestranetworks.schema.relationships

# Interface ReverseRelationship

All Superinterfaces:
  `Relationship`

All Known Subinterfaces:
  `ReverseRelationshipInterDataset`, `ReverseRelationshipIntraDataset`

public interface ReverseRelationship extends Relationship
Represents a reverse relationship in a resolved data model. A reverse relationship goes from a table node to the node that defines either a foreign key constraint, a selection link or an association link which targets this table.

Since:
  5.7.1
See Also:
  - `SchemaNode.getRelationships(Adaptation, com.orchestranetworks.service.Session)`
  - `SchemaNodeRelationships.getReverseRelationships()`

- ## Method Summary

  Modifier and Type
  Method
  Description
  `ExplicitRelationship`
  `getExplicitRelationship()`
  Returns the corresponding explicit relationship associated with the foreign key constraint, the selection link or the association link that targets the table node that holds this reverse relationship.
  `SchemaNode`
  `getReferringTableNode()`
  Returns the table node containing the node that defines the corresponding explicit relationship.
  `SchemaNode`
  `getTableNode()`
  Returns the table node targeted by the relationship of the corresponding explicit relationship.
  `boolean`
  `isIntraDataset()`
  Returns `true` if the table holding this reverse relationship is in the same dataset that the node that defines the corresponding explicit relationship.

  ### Methods inherited from interface com.orchestranetworks.schema.relationships.Relationship

  `isExplicit`

- ## Method Details

  - ### getExplicitRelationship

    ExplicitRelationship getExplicitRelationship()
    Returns the corresponding explicit relationship associated with the foreign key constraint, the selection link or the association link that targets the table node that holds this reverse relationship.

  - ### isIntraDataset

    boolean isIntraDataset()
    Returns `true` if the table holding this reverse relationship is in the same dataset that the node that defines the corresponding explicit relationship.

  - ### getReferringTableNode

    SchemaNode getReferringTableNode()
    Returns the table node containing the node that defines the corresponding explicit relationship. Returns `null` if the node that defines the explicit relationship is not inside a table.

  - ### getTableNode

    SchemaNode getTableNode()
    Returns the table node targeted by the relationship of the corresponding explicit relationship.
    See Also:
      - `getReferringTableNode()`
      - `getExplicitRelationship()`